SynqDocs
Management APIUsers

Enable a user

Lets a disabled user sign in again. Needs `org.users.edit`. Recorded as `user.updated`.

POST/v1/orgs/{org}/brands/{brand}/users/{user}/enable

Lets a disabled user sign in again. Needs org.users.edit. Recorded as user.updated.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string

The org's id

Match^org_[0-9a-hjkmnp-tv-z]{26}$
brand*string

The brand's id

Match^brd_[0-9a-hjkmnp-tv-z]{26}$
user*string

The user's id

Match^usr_[0-9a-hjkmnp-tv-z]{26}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.synq.build/v1/orgs/org_01h455vb4pex5vsknk084sn02q/brands/brd_01h455vb4pex5vsknk084sn02q/users/usr_01h455vb4pex5vsknk084sn02q/enable" \  -H "Authorization: Bearer $SYNQ_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "usr_01h455vb4pex5vsknk084sn02q",  "email": "ana@acme.example",  "email_verified": true,  "username": "string",  "name": "Acme",  "given_name": "string",  "family_name": "string",  "picture": "string",  "picture_source": "linked:google",  "avatar_seed": "mJ3kT0a9yZVqC1x8fR4wLb",  "default_picture": "string",  "locale": "string",  "wallets": [    "string"  ],  "sign_in_methods": [    "email",    "passkey",    "google"  ],  "disabled": true,  "deletion_scheduled_for": "2026-10-21T12:00:00.000Z",  "last_sign_in_at": "2026-10-21T12:00:00.000Z",  "created_at": "2026-10-21T12:00:00.000Z",  "metadata": {},  "identities": [    {      "id": "idn_01h455vb4pex5vsknk084sn02q",      "provider": "string",      "subject": "string",      "handle": "string",      "details": {        "account_type": "User",        "created_at": "2011-01-25T18:44:36.000Z",        "public_repos": 0,        "followers": 0,        "email_verified": true,        "workspace_domain": "acme.example",        "telegram_user_id": "987654321",        "phone_number": "+15555550123",        "phone_number_verified": true,        "name": "Ada Lovelace",        "test": true      },      "details_read_at": "2026-10-21T12:00:00.000Z",      "scopes": [        "phone"      ],      "unconfirmed_scopes": [        "telegram:bot_access"      ],      "label": "string",      "primary": true,      "last_used_at": "2026-10-21T12:00:00.000Z",      "created_at": "2026-10-21T12:00:00.000Z"    }  ],  "sessions": [    {      "id": "string",      "signed_in_at": "2026-10-21T12:00:00.000Z",      "expires_at": "2026-10-21T12:00:00.000Z",      "apps": [        "string"      ],      "signed_in_apps": [        {          "client_id": "app_01h455vb4pex5vsknk084sn02q",          "name": "Acme web",          "kind": "app"        }      ],      "via": "hosted"    }  ]}